Bug 131078 - Error in package description
Summary: Error in package description
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-27 10:56 UTC by Victor Vislobokov
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-30 18:42:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Victor Vislobokov 2004-08-27 10:56:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Two packages: postgresql-pl and postgresql-tcl has same description
about PL/Tcl.

Version-Release number of selected component (if applicable):
postgresql-tcl-7.4.2-1
postgresql-pl-7.4.2-1


How reproducible:
Always

Steps to Reproduce:
1. rpm -qi postgresql-pl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-pl package contains the the PL/Perl, PL/Tcl,
and PL/Python procedural languages for the backend.  PL/Pgsql is part
of the core server package.

2. rpm -qi postgresql-tcl
Summary     : A Tcl client library and the PL/Tcl procedural language
for PostgreSQL.
Description :
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-tcl package contains the libpgtcl client
library, the pg-enhanced pgtclsh, and the PL/Tcl procedural language
for the backend.


Actual Results:  Both description talking about presense PL/Tcl into
packages, but really only postgresql-pl package has PL/Tcl in.

Comment 1 Tom Lane 2004-08-27 13:43:55 UTC
The Red Hat specfile has had that description error corrected since
7.3.  Are you sure you aren't looking at an ancient postgresql-tcl
package?

Comment 2 Victor Vislobokov 2004-08-30 04:41:07 UTC
I'm sure. I have this error at Fedora Core 2,
postgresl-tcl-7.4.2-1.i386.rpm

Comment 3 Tom Lane 2004-08-30 14:50:18 UTC
Mph.  Well, I can prove from our CVS contents that the 7.4.2-1
specfile contained the correct description, so somehow RPM is
regurgitating a long-obsolete description for you.  Perhaps this
represents a failure in an upgrade process?  Anyway I'm going to
reassign this bug to the RPM package owner and see what he has to say.

Comment 4 Jeff Johnson 2004-08-30 18:42:29 UTC
rpm uses the specspo, not the package, description if available.

Either uninstall specspo (to use the package description), or update
the description in specspo.


Note You need to log in before you can comment on or make changes to this bug.